Bug 970664 - Client messages from the node not returned to the client on app destroy
Client messages from the node not returned to the client on app destroy
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Meyer
libra bugs
: FutureFeature
Depends On: 965804
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 10:22 EDT by Brenton Leanhardt
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 965804
Environment:
Last Closed: 2013-08-15 10:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-06-04 10:22:12 EDT
+++ This bug was initially created as a clone of Bug #965804 +++

Description of problem:

Client messages returned from the node to the broker via 'CLIENT_MESSAGE' output is not passed through to the rhc client during 'app-destroy' operations.


Version-Release number of selected component (if applicable):


How reproducible:

Create an an application with a cartridge which produces output during deconfigure. Delete the application. Observe the lack of client output.


Steps to Reproduce:
1. Create a jenkins application.
2. Create a PHP application with the jenkins-client cartridge embedded.
3. Destroy the PHP application.

Actual results:

MCollective output:

I, [2013-05-21T12:25:22.141050 #11009]  INFO -- : openshift.rb:43:in `cartridge_do_action' cartridge_do_action call / action: cartridge_do, agent=openshift, data={:cartridge=>"openshift-origin-node",
 :action=>"app-destroy",
 :args=>
  {"--with-app-uuid"=>"519b9fb7142fd82aca000001",
   "--with-app-name"=>"phpjenk",
   "--with-container-uuid"=>"519b9fb7142fd82aca000001",
   "--with-container-name"=>"phpjenk",
   "--with-namespace"=>"dmace280",
   "--with-request-id"=>"b4f2e3e6ae237d5f12bcdf4b397a72ad",
   "--cart-name"=>"openshift-origin-node"},
 :process_results=>true}

I, [2013-05-21T12:25:22.141444 #11009]  INFO -- : openshift.rb:44:in `cartridge_do_action' cartridge_do_action validation = openshift-origin-node app-destroy {"--with-app-uuid"=>"519b9fb7142fd82aca000001", "--with-app-name"=>"phpjenk", "--with-container-uuid"=>"519b9fb7142fd82aca000001", "--with-container-name"=>"phpjenk", "--with-namespace"=>"dmace280", "--with-request-id"=>"b4f2e3e6ae237d5f12bcdf4b397a72ad", "--cart-name"=>"openshift-origin-node"}
I, [2013-05-21T12:25:22.141735 #11009]  INFO -- : openshift.rb:83:in `execute_action' Executing action [app-destroy] using method oo_app_destroy with args [{"--with-app-uuid"=>"519b9fb7142fd82aca000001", "--with-app-name"=>"phpjenk", "--with-container-uuid"=>"519b9fb7142fd82aca000001", "--with-container-name"=>"phpjenk", "--with-namespace"=>"dmace280", "--with-request-id"=>"b4f2e3e6ae237d5f12bcdf4b397a72ad", "--cart-name"=>"openshift-origin-node"}]
I, [2013-05-21T12:25:26.344834 #11009]  INFO -- : openshift.rb:92:in `execute_action' Finished executing action [app-destroy] (0)
I, [2013-05-21T12:25:26.345089 #11009]  INFO -- : openshift.rb:63:in `cartridge_do_action' cartridge_do_action reply (0):
------
CLIENT_RESULT: The corresponding job 'phpjenk-build' in Jenkins has been disabled.
CLIENT_RESULT: You can re-enable or delete as desired.
CLIENT_RESULT: Job URL: https://jenkins-dmace280.dev.rhcloud.com/job/phpjenk-build/
CLIENT_RESULT: Jenkins client 1.4 has been removed from: phpjenk

------)

Client output:

$ rhc app-delete phpjenk -pp --confirm
Deleting application 'phpjenk' ... deleted


Expected results:

Client output:

$ rhc app-delete phpjenk -pp --confirm
Deleting application 'phpjenk' ... deleted

The corresponding job 'phpjenk-build' in Jenkins has been disabled.
You can re-enable or delete as desired.
Job URL: https://jenkins-dmace280.dev.rhcloud.com/job/phpjenk-build/
Jenkins client 1.4 has been removed from: phpjenk

Additional info:

--- Additional comment from Lili Nader on 2013-05-22 19:44:52 EDT ---

This is not a new bug.  This has been broken for a while.  Can we live it for one more sprint. I would like to put in a more comprehensive fix.

--- Additional comment from Lili Nader on 2013-05-28 19:39:41 EDT ---

https://github.com/openshift/origin-server/pull/2666
Comment 2 Luke Meyer 2013-06-28 14:45:18 EDT
Lili's pull mentioned above didn't go into OSE 1.2 and is related to REST API version 1.5 which we are not ready for.
Comment 3 Brenton Leanhardt 2013-08-15 10:57:06 EDT
We'll pick this up with the next rebase.

Note You need to log in before you can comment on or make changes to this bug.